Subject: Re: [PATCH v5 02/16] object-name: allow skipping ambiguity checks in `get_oid()` family

From: shejialuo <[email-masked]>
Date: Wed, 12 Mar 2025 20:12:56 +0800

On Thu, Mar 06, 2025 at 04:08:33PM +0100, Patrick Steinhardt wrote:
> When reading an object ID via `get_oid_basic()` or any of its related
> functions we perform a check whether the object ID is ambiguous, which
> can be the case when a reference with the same name exists. While the
> check is generally helpful, there are cases where it only adds to the
> runtime overhead without providing much of a benefit.
> 

When reading, I am wondering which cases. I somehow think that we may
combine this patch with the next patch. For this standalone commit, the
reader cannot easily get the motivation until reading the next patch.

However, I also understand why you use this standalone commit. So, both
ways are OK from my side.

> Add a new flag that allows us to disable the check. The flag will be
> used in a subsequent commit.
> 
> Signed-off-by: Patrick Steinhardt <[email-masked]>